package com.liang.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 项目预算(PrjBudgetRecord)实体类
 *
 */
@Data
public class PrjBudgetRecord implements Serializable {
    private static final long serialVersionUID = -99295013384521803L;

    private Integer id;
    /**
     * 名称
     */
    private String mc;
    /**
     * 预算金额
     */
    private Double ysje;
    /**
     * 项目
     */
    private Integer xm;
    /**
     * 实际金额
     */
    private Double sjje;
    /**
     * 父级
     */
    private String fj;
    /**
     * 年份
     */
    private Integer nf;
    /**
     * 排序
     */
    private String px;
    /**
     * 编码
     */
    private String bm;
    /**
     * 项目总预算
     */
    private Double xmzys;

    public Double getXmzys() {
        return xmzys;
    }

    public void setXmzys(Double xmzys) {
        this.xmzys = xmzys;
    }

    /**
     * 合计编码
     */
    private String hjbm;
    /**
     * 单位1
     */
    private Double dw1;
    /**
     * 单位2
     */
    private Double dw2;
    /**
     * 单位3
     */
    private Double dw3;
    /**
     * 单位4
     */
    private Double dw4;
    /**
     * 单位5
     */
    private Double dw5;
    /**
     * 单位6
     */
    private Double dw6;
    /**
     * 单位7
     */
    private Double dw7;
    /**
     * 单位8
     */
    private Double dw8;
    /**
     * 单位9
     */
    private Double dw9;
    /**
     * 单位10
     */
    private Double dw10;
    /**
     * 实际预算1
     */
    private Double sjys1;
    /**
     * 实际预算2
     */
    private Double sjys2;
    /**
     * 实际预算3
     */
    private Double sjys3;
    /**
     * 实际预算4
     */
    private Double sjys4;
    /**
     * 实际预算5
     */
    private Double sjys5;
    /**
     * 实际预算6
     */
    private Double sjys6;
    /**
     * 实际预算7
     */
    private Double sjys7;
    /**
     * 实际预算8
     */
    private Double sjys8;
    /**
     * 实际预算9
     */
    private Double sjys9;
    /**
     * 实际预算10
     */
    private Double sjys10;
    /**
     * 备注
     */
    private String bz;
    /**
     *  修改前数据
     */
    private String xg;

    /**
     * 修改记录
     */
    private String xg1;
    private String xg2;
    private String xg3;
    private String xg4;
    private String xg5;
    private String xg6;
    private String xg7;
    private String xg8;
    private String xg9;
    private String xg10;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public Double getYsje() {
        return ysje;
    }

    public void setYsje(Double ysje) {
        this.ysje = ysje;
    }

    public Integer getXm() {
        return xm;
    }

    public void setXm(Integer xm) {
        this.xm = xm;
    }

    public Double getSjje() {
        return sjje;
    }

    public void setSjje(Double sjje) {
        this.sjje = sjje;
    }

    public String getFj() {
        return fj;
    }

    public void setFj(String fj) {
        this.fj = fj;
    }

    public Integer getNf() {
        return nf;
    }

    public void setNf(Integer nf) {
        this.nf = nf;
    }

    public String getPx() {
        return px;
    }

    public void setPx(String px) {
        this.px = px;
    }

    public String getBm() {
        return bm;
    }

    public void setBm(String bm) {
        this.bm = bm;
    }

    public String getHjbm() {
        return hjbm;
    }

    public void setHjbm(String hjbm) {
        this.hjbm = hjbm;
    }

    public Double getDw1() {
        return dw1;
    }

    public void setDw1(Double dw1) {
        this.dw1 = dw1;
    }

    public Double getDw2() {
        return dw2;
    }

    public void setDw2(Double dw2) {
        this.dw2 = dw2;
    }

    public Double getDw3() {
        return dw3;
    }

    public void setDw3(Double dw3) {
        this.dw3 = dw3;
    }

    public Double getDw4() {
        return dw4;
    }

    public void setDw4(Double dw4) {
        this.dw4 = dw4;
    }

    public Double getDw5() {
        return dw5;
    }

    public void setDw5(Double dw5) {
        this.dw5 = dw5;
    }

    public Double getDw6() {
        return dw6;
    }

    public void setDw6(Double dw6) {
        this.dw6 = dw6;
    }

    public Double getDw7() {
        return dw7;
    }

    public void setDw7(Double dw7) {
        this.dw7 = dw7;
    }

    public Double getDw8() {
        return dw8;
    }

    public void setDw8(Double dw8) {
        this.dw8 = dw8;
    }

    public Double getDw9() {
        return dw9;
    }

    public void setDw9(Double dw9) {
        this.dw9 = dw9;
    }

    public Double getDw10() {
        return dw10;
    }

    public void setDw10(Double dw10) {
        this.dw10 = dw10;
    }

    public Double getSjys1() {
        return sjys1;
    }

    public void setSjys1(Double sjys1) {
        this.sjys1 = sjys1;
    }

    public Double getSjys2() {
        return sjys2;
    }

    public void setSjys2(Double sjys2) {
        this.sjys2 = sjys2;
    }

    public Double getSjys3() {
        return sjys3;
    }

    public void setSjys3(Double sjys3) {
        this.sjys3 = sjys3;
    }

    public Double getSjys4() {
        return sjys4;
    }

    public void setSjys4(Double sjys4) {
        this.sjys4 = sjys4;
    }

    public Double getSjys5() {
        return sjys5;
    }

    public void setSjys5(Double sjys5) {
        this.sjys5 = sjys5;
    }

    public Double getSjys6() {
        return sjys6;
    }

    public void setSjys6(Double sjys6) {
        this.sjys6 = sjys6;
    }

    public Double getSjys7() {
        return sjys7;
    }

    public void setSjys7(Double sjys7) {
        this.sjys7 = sjys7;
    }

    public Double getSjys8() {
        return sjys8;
    }

    public void setSjys8(Double sjys8) {
        this.sjys8 = sjys8;
    }

    public Double getSjys9() {
        return sjys9;
    }

    public void setSjys9(Double sjys9) {
        this.sjys9 = sjys9;
    }

    public Double getSjys10() {
        return sjys10;
    }

    public void setSjys10(Double sjys10) {
        this.sjys10 = sjys10;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

}

